- Create event summaries
Create event summaries for a user. Event summaries are used to track the number of times an event has occurred, the first time it occurred and the last time it occurred.
Identify the user with one of id, user_id or email. If more than one is sent, id is used first, then user_id, then email.
Requires the write_events OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
You can send a list of event summaries for a user. Each event summary should contain the event name, the time the event occurred, and the number of times the event occurred. The event name should be a past tense "verb-noun" combination, to improve readability, for example updated-plan.
The Intercom defined id of the user. Takes precedence over user_id and email.
The user's email address. Only used when neither id nor user_id is supplied.
A list of event summaries for the user. Each event summary should contain the event name, the time the event occurred, and the number of times the event occurred. The event name should be a past tense 'verb-noun' combination, to improve readability, for example updated-plan.
- The production API serverhttps://api.intercom.io/events/summaries
- The european API serverhttps://api.eu.intercom.io/events/summaries
- The australian API serverhttps://api.au.intercom.io/events/summaries
- id required
- user_id required
- email required
curl -i -X POST \
https://api.intercom.io/events/summaries \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"user_id": "314159",
"id": "63a0979a5eeebeaf28dd56ba",
"email": "frodo.baggins@example.com",
"event_summaries": [
{
"event_name": "invited-friend",
"count": 1,
"first": 1671028894,
"last": 1671028894
}
]
}'